curl --request GET \
--url https://api.gospott.com/vacancies/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gospott.com/vacancies/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gospott.com/vacancies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"restricted": true,
"client": {
"viewType": "vacancyClient",
"client": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"domain": "<string>",
"logoUrl": "<string>"
}
},
"name": {
"viewType": "vacancyName",
"name": "<string>"
},
"description": {
"viewType": "vacancyDescription",
"description": "<string>"
},
"stage": {
"viewType": "vacancyStage",
"stage": {
"id": "<string>",
"order": 123,
"name": "<string>",
"colorHex": "<string>",
"isOpen": true
}
},
"createdAt": {
"viewType": "vacancyCreatedAt",
"createdAt": "2023-11-07T05:31:56Z"
},
"startAt": {
"viewType": "vacancyStartAt",
"startAt": "2023-11-07T05:31:56Z"
},
"endAt": {
"viewType": "vacancyEndAt",
"endAt": "2023-11-07T05:31:56Z"
},
"salaryRange": {
"viewType": "vacancySalaryRange",
"salaryRange": {
"min": 123,
"max": 123
}
},
"location": {
"viewType": "vacancyLocation",
"location": {
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"region": "<string>",
"state": "<string>",
"country": "<string>",
"rawCityCountry": "<string>",
"latitude": 123,
"longitude": 123,
"formattedAddress": "<string>"
},
"locations": [
{
"street1": "<string>",
"street2": "<string>",
"postalCode": "<string>",
"city": "<string>",
"region": "<string>",
"state": "<string>",
"country": "<string>",
"latitude": 123,
"longitude": 123,
"formattedAddress": "<string>"
}
]
},
"languages": {
"viewType": "vacancyLanguages",
"languages": [
{}
]
},
"team": {
"viewType": "vacancyTeam",
"team": [
{
"userId": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
}
]
},
"employmentType": {
"viewType": "vacancyEmploymentType"
},
"locationType": {
"viewType": "vacancyLocationType"
},
"clientTeam": {
"viewType": "vacancyClientTeam",
"clientTeam": [
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"middleName": "<string>",
"secondLastName": "<string>",
"avatarUrl": "<string>",
"candidateId": "<string>",
"companyId": "<string>",
"companyName": "<string>",
"companyLogoUrl": "<string>",
"jobTitle": "<string>",
"department": "<string>",
"emails": [
{
"email": "jsmith@example.com",
"isPrimary": true
}
],
"phoneNumbers": [
{
"phoneNumber": "<string>",
"isPrimary": true
}
]
}
]
},
"scorecard": {
"viewType": "vacancyScorecard",
"scorecards": [
{
"groupName": "<string>",
"attributes": [
{
"attribute": "<string>"
}
]
}
]
},
"nextTaskDue": {
"viewType": "vacancyNextTaskDue",
"nextTaskDue": {
"id": "<string>",
"content": "<string>",
"dueDate": "2023-11-07T05:31:56Z"
}
},
"targetCompany": {
"viewType": "vacancyTargetCompany",
"targetCompany": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"domain": "<string>",
"logoUrl": "<string>"
}
},
"customAttributes": [
{
"attributeDefinitionId": "<string>",
"label": "<string>",
"aiFillOngoing": true,
"aiOverridden": true,
"isFilledByAI": true,
"value": {
"viewType": "customText",
"text": "<string>"
}
}
],
"stageTotals": {
"viewType": "vacancyStageTotals",
"totals": [
{
"id": "<string>",
"name": "<string>",
"order": 123,
"total": 123
}
]
},
"jobBoards": [
{
"id": "<string>"
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>",
"errors": [
{
"code": "REQUIRED",
"path": "<string>",
"message": "<string>",
"received": "<unknown>"
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "Job not found",
"requestId": "<string>",
"statusCode": 404,
"error": "Not Found"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Retrieve a job
Retrieves the job with the specified ID. Includes custom attributes, job details, and metadata.
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Path Parameters
Response
Successfully retrieved job details
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Job board postings associated with this job. Only included when "jobBoards" is specified in the include parameter.
Show child attributes
Show child attributes

